; BALL.LSP
; 
; Routine to insert Blocks w/Balloons for Bill-Of-Materials Extractions
; with BOM.LSP
;
(DEFUN C:BALL ()
(SETVAR "CMDECHO" 0)
(SETQ PT1 (GETPOINT "\nEnter arrow start point:"))
(SETQ PT2 (GETPOINT PT1 "\nEnter Balloon Location:"))
(SETQ RADIUS (* 0.1875 (GETVAR "DIMSCALE")))
(setq ANGLE1 (ANGLE PT2 PT1))
(SETQ PT3 (POLAR PT2 ANGLE1 RADIUS))
(COMMAND "LINE" PT1 PT3)
(COMMAND "")
(SETQ ARLNGTH (* 0.125 (GETVAR "DIMSCALE")))
(SETQ PT4 (POLAR PT1 (+ ANGLE1 3.3685) ARLNGTH))
(SETQ PT5 (POLAR PT1 (- ANGLE1 3.3685) ARLNGTH))
(COMMAND "SOLID" PT1 PT4 PT5 "")
(COMMAND "")
;
; Below inserts block BOM which should contain the attributes that
; will be used for extraction with BOM.LSP
;
(COMMAND "INSERT" "BOM" PT2 (GETVAR "DIMSCALE") "" "")
)
